package cz.moneta.test.dsl.ufo.banka.pages.main.client.settings;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.INK001_OBR001_004_ConfirmationPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.OBR001_S001_PrintInstructionPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.PVX011_OBR001_ConfirmationOfSignatureOwnerEmpowermentPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS027_OBR001_PreContractualInformationPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.ib.ADC047_S001_IbSettingsPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.signature.patterns.NPV010_S001_PrintSignPadPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.signature.patterns.NPV019_S001_SignaturePatternsEditPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.mutual.funds.INF016_S001_MeetingRecordSigning;
import cz.moneta.test.dsl.ufo.banka.pages.products.mutual.funds.INF016_S002_RecordOfClientMeeting;
import cz.moneta.test.harness.support.web.WebFlow;

public interface PVX002_S002_AccountDispositionOwnerPageTransitions extends WebFlow<PVX002_S002_AccountDispositionOwnerPageTransitions> {

    NPV019_S001_SignaturePatternsEditPage onSignaturePatternsEditPage();

    PVX011_OBR001_ConfirmationOfSignatureOwnerEmpowermentPage onConfirmationsOfSignatureOwnerEmpowermentPage();

    TIS050_S001_SignerSelectionPage onSignerSelectionPage();

    PSP004_S001_PrintPage onPrintPage();

    INK001_OBR001_004_ConfirmationPage onConfirmationPage();

    ODS003_S001_AddCodeOfRecommendedPersonPage onAddCodeOfRecommendedPersonPage();

    INF016_S002_RecordOfClientMeeting onRecordOfClientMeetingPage();

    TIS027_OBR001_PreContractualInformationPage onPreContractualInformationPage();

    INF016_S001_MeetingRecordSigning onMeetingRecordSigningPage();

    NPV010_S001_PrintSignPadPage onPrintSignPadPage();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();

    ADC047_S001_IbSettingsPage onIbSettingsPage();

}
